> ## Documentation Index
> Fetch the complete documentation index at: https://developers.sendlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Returns all the available webhooks you've added to your domain registered in SendLayer.

For details on using webhooks in the SendLayer app, see our guide to [managing webhooks](https://sendlayer.com/docs/managing-webhooks/).



## OpenAPI

````yaml api-reference/sendlayer.json get /webhooks
openapi: 3.0.3
info:
  title: SendLayer API
  version: 1.0.1
  description: >-
    Welcome to the SendLayer API! To learn how to access your SendLayer API key,
    check out our tutorial on <a
    href="https://sendlayer.com/docs/managing-api-keys/" title="Managing API
    Keys">managing API keys</a>. <br/><br/> For a quick introduction to sending
    emails, see our guide to <a
    href="https://sendlayer.com/docs/getting-started-with-the-sendlayer-api/"
    title="Getting Started With the SendLayer API">getting started with the
    SendLayer API</a>.<br/><br/><strong>Need help?</strong> <a
    href="https://sendlayer.com/contact/" title="SendLayer Support Page">Contact
    the SendLayer support team</a>
  contact:
    name: SendLayer Support
    url: https://sendlayer.com/contact
    email: support@sendlayer.com
servers:
  - url: https://console.sendlayer.com/api/v1
security:
  - bearerAuth: []
tags:
  - name: Email
    description: Operations related to email sending
  - name: Events
    description: Operations related to retrieving email events
  - name: Webhooks
    description: Operations related to creating and managing webhooks
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: Returns all available webhooks
      description: >-
        Returns all the available webhooks you've added to your domain
        registered in SendLayer.


        For details on using webhooks in the SendLayer app, see our guide to
        [managing webhooks](https://sendlayer.com/docs/managing-webhooks/).
      responses:
        '200':
          description: >-
            OK 


            A succesful response returns records for the webhooks you've added
            to your registered domain
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWebhooksResponse'
components:
  schemas:
    GetWebhooksResponse:
      title: GET webhooks response
      description: >-
        A succesful response returns records for the webhooks you've added to
        your registered domain.
      type: object
      properties:
        Webhooks:
          type: array
          items:
            type: object
            properties:
              WebhookID:
                type: number
                example: 972
              CreatedAt:
                type: string
                example: '2022-07-25T17:33:32.000Z'
              UpdatedAt:
                type: string
                example: '2022-07-25T17:33:32.000Z'
              Status:
                type: string
                example: Enabled
              WebhookURL:
                type: string
                example: https://eojhlevpsweagozcsg.m.example.net
              Event:
                type: string
                example: delivered
              LastResponseCode:
                type: number
                example: 0
              LastResponseBody:
                type: string
                example: ''
              LastResponseAt:
                type: string
                example: '1899-11-30T00:00:00.000Z'
              LastResponseTryCounter:
                type: number
                example: 0
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````